<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-laboratoire-heading" jhiTranslate="winpharmApp.laboratoire.home.createOrEditLabel">Create or edit a Laboratoire</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id').value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.laboratoire.raisonSociale" for="field_raisonSociale">Raison Sociale</label>
                    <input type="text" class="form-control" name="raisonSociale" id="field_raisonSociale"
                           formControlName="raisonSociale"/>
                    <div *ngIf="editForm.get('raisonSociale').invalid && (editForm.get('raisonSociale').dirty || editForm.get('raisonSociale').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('raisonSociale').errors.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.laboratoire.adresse" for="field_adresse">Adresse</label>
                    <input type="text" class="form-control" name="adresse" id="field_adresse"
                           formControlName="adresse"/>
                    <div *ngIf="editForm.get('adresse').invalid && (editForm.get('adresse').dirty || editForm.get('adresse').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('adresse').errors.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="winpharmApp.laboratoire.tel" for="field_tel">Tel</label>
                    <input type="number" class="form-control" name="tel" id="field_tel"
                           formControlName="tel"/>
                    <div *ngIf="editForm.get('tel').invalid && (editForm.get('tel').dirty || editForm.get('tel').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('tel').errors.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('tel')?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
